Archives
All operations require authentication.
List archivesProduction
Returns the archives of the Logs Data Platform service.
Path parameters
Service name
Stream ID
Response
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ archive \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get an archiveProduction
Returns the archive.
Path parameters
Archive ID
Service name
Stream ID
Response
Archive ID
Create date
Filename
MD5 checksum
Retrieval delay
Retrieval state
sealedunsealedunsealingsha256 checksum
File size in bytes
Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ archive/ {archiveId} \
-H "authorization: Bearer $OVH_TOKEN"{ "archiveId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "filename": "string", "md5": "string", "retrievalDelay": 0, "retrievalState": "sealed", "sha256": "string", "size": 0}
List encryption keys for an archiveProduction
Returns the encryption keys that can decrypt the archive.
Path parameters
Archive ID
Service name
Stream ID
Response
Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ archive/ {archiveId}/ encryptionKey \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Create a temporary URL for an archiveProduction
Creates a temporary URL to download the archive. The URL expires.
Path parameters
Archive ID
Service name
Stream ID
Response
Temporary URL expiration date
Temporary URL to get archive
Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ archive/ {archiveId}/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}